Bug 147795 - [maintainer-update] Updating sysutils/conky to 1.8.0 plus fixes
Summary: [maintainer-update] Updating sysutils/conky to 1.8.0 plus fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-11 20:30 UTC by Nikos Ntarmos
Modified: 2010-07-12 06:38 UTC (History)
0 users

See Also:


Attachments
file.diff (71.77 KB, patch)
2010-06-11 20:30 UTC, Nikos Ntarmos
no flags Details | Diff
conky-1.8.0.diff (70.02 KB, patch)
2010-06-15 09:12 UTC, Nikos Ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos Ntarmos 2010-06-11 20:30:04 UTC
Long-overdue update of sysutils/conky to version 1.8.0. Since 1.8.1 has advanced quite a bit, including several bug fixes, this update also incorporates all changes up to today's 1.8.1 git branch.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-06-13 18:48:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Nikos Ntarmos 2010-06-15 09:12:11 UTC
Slightly revised patch to fix a glitch with sysutils/conky-awesome not
building when audacious and/or xmms2 support is on.
Comment 3 Martin Wilke freebsd_committer 2010-06-20 15:04:23 UTC
State Changed
From-To: open->feedback

patch failed 
http://64bit.miwibox.org/index.php?action=describe_port&id=1987
Comment 4 dfilter service freebsd_committer 2010-07-12 04:16:01 UTC
miwi        2010-07-12 03:15:52 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/conky       Makefile distinfo 
    sysutils/conky/files patch-configure patch-src-freebsd.c 
  Added files:
    sysutils/conky/files patch-doc-variables.xml 
                         patch-lua-cairo.pkg patch-src-Makefile.in 
                         patch-src-apcupsd.c patch-src-apcupsd.h 
                         patch-src-audacious.c 
                         patch-src-audacious.h patch-src-common.c 
                         patch-src-common.h patch-src-conky.c 
                         patch-src-conky.h patch-src-core.c 
                         patch-src-diskio.c patch-src-diskio.h 
                         patch-src-entropy.c patch-src-entropy.h 
                         patch-src-exec.c patch-src-fs.c 
                         patch-src-fs.h patch-src-i8k.c 
                         patch-src-i8k.h patch-src-logging.h 
                         patch-src-mail.c patch-src-mixer.c 
                         patch-src-moc.c patch-src-moc.h 
                         patch-src-mpd.c patch-src-mpd.h 
                         patch-src-net_stat.c patch-src-net_stat.h 
                         patch-src-read_tcp.c patch-src-rss.c 
                         patch-src-tcp-portmon.c 
                         patch-src-tcp-portmon.h 
                         patch-src-text_object.h patch-src-top.c 
                         patch-src-users.c patch-src-x11.c 
  Removed files:
    sysutils/conky/files patch-src-bmpx.c patch-src-bmpx.h 
  Log:
  - Update to 1.8.0
  
  PR:             147795
  Submitted by:   Nikos Ntarmos <ntarmos@cs.uoi.gr> (maintainer)
  
  Revision  Changes    Path
  1.55      +8 -2      ports/sysutils/conky/Makefile
  1.22      +3 -3      ports/sysutils/conky/distinfo
  1.4       +73 -29    ports/sysutils/conky/files/patch-configure
  1.1       +29 -0     ports/sysutils/conky/files/patch-doc-variables.xml (new)
  1.1       +10 -0     ports/sysutils/conky/files/patch-lua-cairo.pkg (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-Makefile.in (new)
  1.1       +18 -0     ports/sysutils/conky/files/patch-src-apcupsd.c (new)
  1.1       +10 -0     ports/sysutils/conky/files/patch-src-apcupsd.h (new)
  1.1       +19 -0     ports/sysutils/conky/files/patch-src-audacious.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-audacious.h (new)
  1.2       +0 -60     ports/sysutils/conky/files/patch-src-bmpx.c (dead)
  1.2       +0 -42     ports/sysutils/conky/files/patch-src-bmpx.h (dead)
  1.1       +62 -0     ports/sysutils/conky/files/patch-src-common.c (new)
  1.1       +51 -0     ports/sysutils/conky/files/patch-src-common.h (new)
  1.8       +404 -0    ports/sysutils/conky/files/patch-src-conky.c (new)
  1.6       +21 -0     ports/sysutils/conky/files/patch-src-conky.h (new)
  1.1       +126 -0    ports/sysutils/conky/files/patch-src-core.c (new)
  1.1       +15 -0     ports/sysutils/conky/files/patch-src-diskio.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-diskio.h (new)
  1.1       +15 -0     ports/sysutils/conky/files/patch-src-entropy.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-entropy.h (new)
  1.1       +129 -0    ports/sysutils/conky/files/patch-src-exec.c (new)
  1.16      +246 -20   ports/sysutils/conky/files/patch-src-freebsd.c
  1.1       +26 -0     ports/sysutils/conky/files/patch-src-fs.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-fs.h (new)
  1.1       +34 -0     ports/sysutils/conky/files/patch-src-i8k.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-i8k.h (new)
  1.1       +20 -0     ports/sysutils/conky/files/patch-src-logging.h (new)
  1.1       +46 -0     ports/sysutils/conky/files/patch-src-mail.c (new)
  1.1       +196 -0    ports/sysutils/conky/files/patch-src-mixer.c (new)
  1.1       +12 -0     ports/sysutils/conky/files/patch-src-moc.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-moc.h (new)
  1.1       +30 -0     ports/sysutils/conky/files/patch-src-mpd.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-mpd.h (new)
  1.1       +28 -0     ports/sysutils/conky/files/patch-src-net_stat.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-net_stat.h (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-read_tcp.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-rss.c (new)
  1.1       +14 -0     ports/sysutils/conky/files/patch-src-tcp-portmon.c (new)
  1.1       +11 -0     ports/sysutils/conky/files/patch-src-tcp-portmon.h (new)
  1.1       +10 -0     ports/sysutils/conky/files/patch-src-text_object.h (new)
  1.1       +25 -0     ports/sysutils/conky/files/patch-src-top.c (new)
  1.1       +17 -0     ports/sysutils/conky/files/patch-src-users.c (new)
  1.1       +37 -0     ports/sysutils/conky/files/patch-src-x11.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2010-07-12 06:38:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!